summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPablo Neira Ayuso <pablo@netfilter.org>2009-02-15 18:47:50 +0100
committerPablo Neira Ayuso <pablo@netfilter.org>2009-02-15 18:47:50 +0100
commit1606369707325e2f68ffe225917d7ea637ddb9de (patch)
treea78af53ada92c7c71dbc90d447d5861dc8fe0dd6
parentca6fa387c80e9fdccace3091317d32a59dab7400 (diff)
doc: add bulk update to primary-script.sh script
This patch updates the script to remark the fact that it should be used with Linux kernel < 2.6.29. Moreover, it adds a bulk-update command after the commit in the primary path to avoid any race condition (the backup may request a resync while this primary is still committing the entries with an empty internal cache). This is hackish, but I think that this is the best way to do this for systems running a Linux kernel < 2.6.29. Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
-rwxr-xr-xdoc/sync/primary-backup.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/doc/sync/primary-backup.sh b/doc/sync/primary-backup.sh
index e5331e3..ae6546b 100755
--- a/doc/sync/primary-backup.sh
+++ b/doc/sync/primary-backup.sh
@@ -7,6 +7,8 @@
#
# Description:
#
+# Use this script is you use a Linux kernel < 2.6.29.
+#
# This is the script for primary-backup setups for keepalived
# (http://www.keepalived.org). You may adapt it to make it work with other
# high-availability managers.
@@ -49,6 +51,15 @@ case "$1" in
then
logger "ERROR: failed to invoke conntrackd -R"
fi
+
+ #
+ # send a bulk update to backups
+ #
+ $CONNTRACKD_BIN -C $CONNTRACKD_CONFIG -B
+ if [ $? -eq 1 ]
+ then
+ logger "ERROR: failed to invoke conntrackd -B"
+ fi
;;
backup)
#